#ifndef LIBWCCL_ANTLRPARSERRESULT_H
#define LIBWCCL_ANTLRPARSERRESULT_H

#include <boost/shared_ptr.hpp>

#include <libwccl/variables.h>
#include <libwccl/ops/functions.h>

template<class T>
class ANTLRParserResult
{
public:
	ANTLRParserResult() {
		this->variables.reset(new Wccl::Variables());
	}

	boost::shared_ptr<Wccl::Variables> variables;
	boost::shared_ptr<Wccl::Function<T> > op;
};

#endif // ANTLRPARSERRESULT_H
